Bug 215036 - multimedia/ffmpeg0: remove port
Summary: multimedia/ffmpeg0: remove port
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL:
Keywords: security
Depends on: 214644 214821 214823 215240 238093 238094
Blocks:
  Show dependency treegraph
 
Reported: 2016-12-04 02:26 UTC by Jan Beich
Modified: 2019-06-15 07:31 UTC (History)
1 user (show)

See Also:
wg: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2016-12-04 02:26:27 UTC
Upstream no longer maintains 0.x release series[1]. As such security fixes rarely if ever propagate there. Many multimedia/ffmpeg changes also aren't adopted by the port. So, let's convert consumers then expire it.

[1] see header in https://ffmpeg.org/olddownload.html
Comment 1 w.schwarzenfeld freebsd_triage 2018-01-10 01:43:19 UTC
Maintainer timeout?
Comment 2 commit-hook freebsd_committer 2019-05-24 05:00:03 UTC
A commit references this bug:

Author: tobik
Date: Fri May 24 04:59:39 UTC 2019
New revision: 502418
URL: https://svnweb.freebsd.org/changeset/ports/502418

Log:
  Deprecate multimedia/vdr-plugin-softhddevice

  It seems unmaintained upstream and depends on the vulnerable
  multimedia/ffmpeg0.

  PR:		215036

Changes:
  head/multimedia/vdr-plugin-softhddevice/Makefile
Comment 3 William Grzybowski freebsd_committer 2019-05-24 11:34:33 UTC
Tobik, sorry I neglected this for so long but I have not been using BSD as my desktop anymore and not been having free time to work on this.

I see you have committed other PRs, do you want to take care of this too?

Otherwise I will release my maintainership to freebsd-ports

Thank you
Comment 4 commit-hook freebsd_committer 2019-05-24 11:53:13 UTC
A commit references this bug:

Author: tobik
Date: Fri May 24 11:52:15 UTC 2019
New revision: 502453
URL: https://svnweb.freebsd.org/changeset/ports/502453

Log:
  Deprecate multimedia/ffmpeg0

  It is vulnerable and should not be used.  Use multimedia/ffmpeg
  instead.

  PR:		238088, 215036

Changes:
  head/multimedia/ffmpeg0/Makefile
Comment 5 Tobias Kortkamp freebsd_committer 2019-05-24 12:05:07 UTC
(In reply to William Grzybowski from comment #3)
> Tobik, sorry I neglected this for so long but I have not been using BSD as
> my desktop anymore and not been having free time to work on this.
> 
> I see you have committed other PRs, do you want to take care of this too?

Will do. Thanks for unblocking.
Comment 6 commit-hook freebsd_committer 2019-06-15 07:28:30 UTC
A commit references this bug:

Author: tobik
Date: Sat Jun 15 07:27:28 UTC 2019
New revision: 504229
URL: https://svnweb.freebsd.org/changeset/ports/504229

Log:
  multimedia/gstreamer-ffmpeg: Drop FFMPEG option

  multimedia/ffmpeg0 has expired.

  PR:		215036

Changes:
  head/multimedia/gstreamer-ffmpeg/Makefile
Comment 7 commit-hook freebsd_committer 2019-06-15 07:30:38 UTC
A commit references this bug:

Author: tobik
Date: Sat Jun 15 07:30:03 UTC 2019
New revision: 504230
URL: https://svnweb.freebsd.org/changeset/ports/504230

Log:
  Remove expired ports:
  2019-06-15 multimedia/mpeg4ip: old, unmaintained version; superseded by multimedia/ffmpeg
  2019-06-15 multimedia/ffmpeg0: vulnerable and old version; use multimedia/ffmpeg instead

  PR:		215036

Changes:
  head/MOVED
  head/multimedia/Makefile
  head/multimedia/ffmpeg0/
  head/multimedia/mpeg4ip/